com.google.gwt.user.cellview.client

## Enum SimplePager.TextLocation

- java.lang.Object
- - java.lang.Enum<SimplePager.TextLocation>
  - - com.google.gwt.user.cellview.client.SimplePager.TextLocation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SimplePager.TextLocation>

Enclosing class:
  SimplePager

    public static enum SimplePager.TextLocation
    extends java.lang.Enum<SimplePager.TextLocation>

The location of the text relative to the paging buttons.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CENTER`
`LEFT`
`RIGHT`

### Method Summary

All Methods Static Methods Concrete Methods
`static SimplePager.TextLocation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SimplePager.TextLocation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CENTER

    public static final SimplePager.TextLocation CENTER

#### LEFT

    public static final SimplePager.TextLocation LEFT

#### RIGHT

    public static final SimplePager.TextLocation RIGHT

### Method Detail

#### values

    public static SimplePager.TextLocation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SimplePager.TextLocation c : SimplePager.TextLocation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SimplePager.TextLocation valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null